function [P,CI] = MC_ArithmeticAsian(S0,K,r,sigma,T,NSamples,NRepl)

Payoff = zeros(NRepl,1);
for i=1:NRepl
   Path=AssetPaths_gBM(S0,r,sigma,T,NSamples,1);
   Payoff(i) = max(0, mean(Path(2:(NSamples+1))) - K);
end
% for simplicity use
[P,approxsigma,CI] = normfit( exp(-r*T) * Payoff);