function nor = Marsaglia(seed, howMany)

rand('state', seed); nor = zeros(howMany+1, 1); k = 0;
while (k < howMany)
    u1 = rand; u2 = rand; v1 = 2*u1 - 1; v2 = 2*u2 - 1; rad = v1^2 + v2^2;
    if ((0 < rad) && (rad < 1))
        z1 = v1 * sqrt ( -2*log(rad)/rad ); z2 = v2 * sqrt ( -2*log(rad)/rad );
        nor(k+1) = z1; nor(k+2) = z2; k = k+2;
    end
end
nor = nor(1:howMany);