% WienerProcess
clear all, close all, randn('state',13)
T = 1; N = 300; dt = T/N; dW = zeros(1,N); W = zeros(1,N);
dW(1) = sqrt(dt)*randn; W(1) = dW(1);
for j = 2:N
   dW(j) = sqrt(dt)*randn; % increment
   W(j) = W(j-1) + dW(j); % next
end
plot([0:dt:T],[0,W]) % W(0) = 0
xlabel('t', 'FontSize', 12), ylabel('W(t)', 'FontSize', 12)
print -r900 -deps '../figures/WienerProcess_slow'
