% the three bonds with
settles     = '02-Sep-2007';
maturities  = ['03-Oct-2008' ; '04-Nov-2010' ; '31-Dec-2015'];
couponRates = [0.06 ;  0.07 ; 0.08]; yields = [0.05 ; 0.075 ; 0.1];
% durations and convexities
durations = bnddury(yields, couponRates, settles, maturities);
convexities = bndconvy(yields, couponRates, settles, maturities);
% the coefficient matrix and the right-hand-side vector
A = [durations' ; convexities' ; 1 1 1];
b = [10; 160; 1];
% solution of the system
weights = A\b
