function Seq = getHaltonSequence(Base, howMany)

Seq = zeros(howMany,1); NumBits = 1+ceil(log(howMany)/log(Base));
b = Base.^(-(1:NumBits)); d = zeros(1,NumBits);
for i = 1:howMany
     j = 1; ok = 0;
     while (ok == 0)
         d(j) = d(j)+1;
         if ( d(j) < Base )
              ok = 1;
         else
              d(j) = 0; j = j+1;
         end
     end
     Seq(i) = dot(d, b);
end
