function [argOut1, argOut2] = NameOfFunAsYouLike(argIn1, argIn2)
% This function computes the determinant of 
% a randomly chosen square matrix
%
% argIn1  : dimension of the matrix
% argIn2  : seed to the random number generator
% argOut1 : the determinant of the matrix
% argOut2 : the random matrix
%
% Usage : [myVar1, myVar2] = myFunction(myInput1, myInput2)

rand('state', argIn2); % initialise the rand
argOut2 = rand(argIn1); % random matrix
argOut1 = det(argOut2); % output depends how you call the function