% test MC and Control Variate with Asset Sums
clear all, close all, rand('state', 13), randn('state', 13)
howMany = 5;
for k=2:howMany
    [Pmc,CI] = MC_ArithmeticAsian(50,50,0.1,0.4,5/12,5,5*10^k);
    [Pcv,CIcv] = MC_ArithmeticAsian_Control_SumOfS( ...
        50,50,0.1,0.4,5/12,5,5*10^k,5*10^(k-1));
    TC = [k, CI(1), CI(2), CIcv(1), CIcv(2), ...
        ( CI(2)-CI(1) ) / ( CIcv(2)-CIcv(1) ) ]
end
