function ud = LCG(seed, howMany)
% generates uniform random variates ud(1:howMany) given the seed

a = 1366; b = 150889; M = 714025; ud = seed*ones(1,howMany);
for i=2:howMany
    ud(i) = mod(a*ud(i-1) + b, M);
end
ud = ud ./ M;
