% calculates a zero of the function around x0 upto a tolerance eps
myFun = inline('x - cos(x)', 'x');
myFunDer = inline('1 + sin(x)', 'x');
x0 = 0; dx = 1; % eps = 1e-8; % if you like.
disp('  x0           dx');
while ( abs(dx) > eps )
    dx = -myFun(x0) / myFunDer(x0);
    x0 = x0 + dx;
    fprintf('%6.4f \t %12.8e\n', x0, dx);
end