function myPi = calculatePi(method, nPoints)
% calculates approximate value of pi

if nargin < 1
    myPi = pi;
    disp(['Value of "pi" in Matlab: ', num2str(myPi)]);
elseif ( nargin < 2 & ~isempty(method) )
    disp(['You want to calculate "pi" by the method: ', num2str(method)])
elseif nargin == 2
    myPi = acos(-1);
    disp(['Value of pi = acos(-1): ', num2str(myPi)]);
else
    myPi = input('Enter the value of "pi" yourself: ');
end  