% sumOfCallPut_Eg
clear all, close all
S = 0:0.1:4; K = 2; r = 0.03; sigma = 0.25; T = 5;

[c, cd, p, pd] = CallPut_Delta(S, K, r, sigma, T);
subplot(2,2,1), plot(S, c), hold on, plot(S, p, 'r--')
xlabel('S','Fontsize',12), ylabel('V','Fontsize',12); legend('V_C', 'V_P');
subplot(2,2,2), plot(S, c+p), xlabel('S','Fontsize',12) 
ylabel('V_\Pi = V_C + V_P','Fontsize',12)
subplot(2,2,3), plot(S, cd), hold on, plot(S, pd, 'r--')
xlabel('S','Fontsize',12), ylabel('\Delta','Fontsize',12)
legend('\Delta_C', '\Delta_P');
subplot(2,2,4), plot(S, cd+pd), hold on, plot([0 4], [0 0], 'g-.')
xlabel('S','Fontsize',12), ylabel('\Delta_\Pi = \Delta_C + \Delta_P','Fontsize',12); 
print -r900 -deps '../figures/sumOfCallPut_Eg'
